/*
	Zonic System V0.20 alpha
	
	1996 by Tinic Urou. The alpha versions are FREEWARE.
	
 _________________________________________________________	
|	A simple button with a textlabel
|_________________________________________________________
*/
#ifndef ZBUTTON
#define ZBUTTON
#include "zonic.h"
#include "zgroup.h"

#define	ZBUTTON_VERSION				3

#define ZButtonObject				new ZButton

#define ZButton_Label				0x0020
#define ZButton_MessageDown			0x0021
#define ZButton_MessageUp			0x0022
#define ZButton_ShortCut			0x0023
#define ZButton_FontName			0x0024
#define ZButton_FontSize			0x0025
#define ZButton_FontAutoScale		0x0026

#pragma export on

class ZButton : public ZGroup
{
	public:
					ZButton(TAG_ARG);
					ZButton(struct TagItem *tags);
					
			BPoint	zRenderPass1();				
			BPoint	zRenderPass2();		
	virtual	void	zRenderInterfaceSetup(ZView *view, ZWindow *window);
			void	zDraw(BRect rect);
			bool	zMouseDown(BPoint pos);
			void	zFocusKeyDown(ulong aKey);
			ZGroup	*zKeyDown(ulong aKey);

	private:
			char	shortKey;
			char	markPos;
			BRect	underline;
			char	label[128];
			char	fontname[B_FONT_NAME_LENGTH+1];
			float	fontsize;
			bool	autoscale;
		font_info	finfo;	
		BMessage	*msgup,*msgdown;
			float	labelwidth;
			void	ZButtonConstructor(struct TagItem *tags);
};

#pragma export off
#endif