/*
	Zonic System V0.20 alpha
	
	1996 by Tinic Urou. The alpha versions are FREEWARE.
	
 _________________________________________________________	
|	A simple button with a textlabel
|_________________________________________________________
*/
#ifndef ZLABEL
#define ZLABEL
#include "zonic.h"
#include "zgroup.h"

#define	ZLABEL_VERSION				3

#define ZLabelObject				new ZLabel

#define ZLabel_Label			0x0030
#define ZLabel_FontName			0x0031
#define ZLabel_FontSize			0x0032
#define ZLabel_Color			0x0033

#pragma export on

class ZLabel : public ZGroup
{
	public:
					ZLabel(TAG_ARG);
					ZLabel(struct TagItem *tags);
					
			BPoint	zRenderPass1();				
			BPoint	zRenderPass2();		
	virtual	void	zRenderInterfaceSetup(ZView *view, ZWindow *window);
			void	zDraw(BRect rect);
	private:
			char	label[ZONIC_LABEL_LENGTH];
			char	fontname[B_FONT_NAME_LENGTH+1];
			float	fontsize;
		font_info	finfo;	
			float	labelwidth;
			void	ZLabelConstructor(struct TagItem *tags);
};

#pragma export off
#endif