/*
	Zonic System V0.20 alpha
	
	1996 by Tinic Urou. The alpha versions are FREEWARE.
	
 _________________________________________________________	
|	A simple button with a textlabel
|_________________________________________________________
*/
#ifndef ZSYMBOL
#define ZSYMBOL
#include "zonic.h"
#include "zgroup.h"

#define	ZSYMBOL_VERSION				3

#define ZSymbolObject				new ZSymbol

#define ZSymbol_MessageDown			0x0050
#define ZSymbol_MessageUp			0x0051
#define ZSymbol_Symbol				0x0052

#define ZSymbol_Symbol_None			0
#define ZSymbol_Symbol_ArrowUp		1
#define ZSymbol_Symbol_ArrowDown	2
#define ZSymbol_Symbol_ArrowLeft	3
#define ZSymbol_Symbol_ArrowRight	4
#define ZSymbol_Symbol_Checkbox		5

#pragma export on

class ZSymbol : public ZGroup
{
	public:
					ZSymbol(TAG_ARG);
					ZSymbol(struct TagItem *tags);
					
			BPoint	zRenderPass1();				
			BPoint	zRenderPass2();		
			void	zDraw(BRect rect);
			bool	zMouseDown(BPoint pos);
		BMessage	*msgup;
		BMessage	*msgdown;
			char	symbol;

	private:
			void	ZSymbolConstructor(struct TagItem *tags);
};

#pragma export off
#endif