/*
	Zonic System V0.20 alpha
	
	1996 by Tinic Urou. The alpha versions are FREEWARE.
	
 _________________________________________________________	
|	A simple button with a textlabel
|_________________________________________________________
*/
#ifndef ZCHECKBOX
#define ZCHECKBOX
#include "zlabel.h"
#include "zsymbol.h"

#define	ZCHECKBOX_VERSION			1

#define ZCheckBoxObject				new ZCheckBox

#define ZCheckBox_MessageUp			0x0090
#define ZCheckBox_MessageDown		0x0091
#define ZCheckBox_Label				0x0092

#pragma export on

class ZCheckBoxLabel;

class ZCheckBox : public ZGroup
{
	public:
					ZCheckBox(TAG_ARG);
					ZCheckBox(struct TagItem *tags);
			bool 	zMessageFilter(BMessage *msg);
			void	zMessageReceived(BMessage *msg);

			void	zSetMessageDown(BMessage *msg);
			void	zSetMessageUp(BMessage *msg);
		BMessage 	*zMessageUp();
		BMessage 	*zMessageDown();
			
		BMessage	*msgup;
		BMessage	*msgdown;

		ZSymbol 	*s1;
		ZLabel		*l1;

	private:
			void	ZCheckBoxConstructor(struct TagItem *tags);
};
#pragma export off

inline	void	ZCheckBox::zSetMessageUp(BMessage *msg)		{ msgup=msg; };
inline	void	ZCheckBox::zSetMessageDown(BMessage *msg)	{ msgdown=msg; };
inline	BMessage *ZCheckBox::zMessageDown()					{ return msgdown; };
inline	BMessage *ZCheckBox::zMessageUp()					{ return msgup; };

#endif