/*
	Zonic System V0.20 alpha
	
	1996 by Tinic Urou. The alpha versions are FREEWARE.
	
 _________________________________________________________	
|	A simple button with a textlabel
|_________________________________________________________
*/
#ifndef ZPAGER
#define ZPAGER
#include "zonic.h"
#include "zgroup.h"

#define	ZPAGER_VERSION				4

#define PAGER_HEIGHT				16.0
#define PAGER_ROUND_RADIUS			8.0
#define PAGER_BORDER				4.0

#define ZPagerObject				new ZPager

#define ZPager_StartChild			(0xF400)
#define ZPager_Label				(0xF401)

#pragma export on

class ZPager : public ZGroup
{
	public:
					ZPager(TAG_ARG);
					ZPager(struct TagItem *tags);
					~ZPager();
			void	ZPagerConstructor(struct TagItem *tags);
			
	virtual	BPoint	zRenderPass1();				
	virtual	BPoint	zRenderPass2();	
	virtual	void	zRenderInterfaceSetup(ZView *view, ZWindow *window);	
	virtual	void	zRenderPass5(BRect rect);
	virtual	void	zDraw(BRect rect);
	virtual bool	zMouseDown(BPoint pos);

	private:
			void	DrawPart(BRect rect,char *label,float labelwidth,bool active);
			BList	*pager_childs;
			int		pager_numchild;
			int		pager_actchild;
			char	*pager_labels[256];
			float	pager_labelswidth[256];
			float	pager_realwidth[256];
			float	pager_labelsum;
};

#pragma export off
#endif