/*
	Zonic System V0.20 alpha
	
	1996 by Tinic Urou. The alpha versions are FREEWARE.
	
 _________________________________________________________	
|	A simple button with a textlabel
|_________________________________________________________
*/
#ifndef ZSCROLLBAR
#define ZSCROLLBAR
#include "zonic.h"
#include "zgroup.h"
#include "zslider.h"
#include "zsymbol.h"

#define	ZSCROLLBAR_VERSION				3

#define ZScrollBarObject				new ZScrollBar

#define ZScrollBar_MessageUp			0x0070
#define ZScrollBar_MessageDown			0x0071
#define ZScrollBar_Step					0x0072
#define ZScrollBar_RealValue			0x0073
#define ZScrollBar_ViewedValue			0x0074
#define ZScrollBar_Position				0x0075
#define ZScrollBar_Page					0x0076

#pragma export on

class ZSliderScrollBar;

class ZScrollBar : public ZGroup
{
	public:
					ZScrollBar(TAG_ARG);
					ZScrollBar(struct TagItem *tags);
			bool 	zMessageFilter(BMessage *msg);
			void	zMessageReceived(BMessage *msg);

			void	zSetReal(float r);
			void	zSetViewed(float r);
			bool	zSetPosition(float r);
			void	zSetPage(float r);
			void	zSetMessageDown(BMessage *msg);
			void	zSetMessageUp(BMessage *msg);
			float	zReal();
			float	zViewed();
			float	zPosition();
			float	zPage();
		BMessage 	*zMessageUp();
		BMessage 	*zMessageDown();
			
		BMessage	*msgup;
		BMessage	*msgdown;

		ZSymbol 	*s1,*s2;
		ZSlider		*s3;

			int		step;
	private:
			void	ZScrollBarConstructor(struct TagItem *tags);
};

inline	void	ZScrollBar::zSetMessageUp(BMessage *msg)	{ msgup=msg; };
inline	void	ZScrollBar::zSetMessageDown(BMessage *msg)	{ msgdown=msg; };
inline	void	ZScrollBar::zSetReal(float r)				{ s3->real=r; };
inline	void	ZScrollBar::zSetViewed(float r)				{ s3->viewed=r; };
inline	void	ZScrollBar::zSetPage(float r)				{ s3->page=r; };
inline	bool	ZScrollBar::zSetPosition(float r)			{ return s3->zSetPosition(r); }
inline	BMessage *ZScrollBar::zMessageDown()				{ return msgdown; };
inline	BMessage *ZScrollBar::zMessageUp()					{ return msgup; };
inline	float	ZScrollBar::zReal()							{ return s3->real; };
inline	float	ZScrollBar::zViewed()						{ return s3->viewed; };
inline	float	ZScrollBar::zPosition()						{ return s3->position; };
inline	float	ZScrollBar::zPage()							{ return s3->page; };

#pragma export off
#endif