/*
	buttondemo V0.1 by Tinic Urou, 1. Sep. 1996
*/
#include "zbutton.h"
#include "zinterface.h"
#include "zlabel.h"
#include "zscrollbar.h"
#include "zseparator.h"
#include "zcheckbox.h"

class ZTest:public BApplication
{
	public:
	
	ZTest():BApplication('ZTES')
	{
	};
	
	void ReadyToRun()
	{
		ZWindow *win= new ZWindow
		(
			ZWindow_Left,		100,
			ZWindow_Top,		100,
			ZWindow_Right,		400,
			ZWindow_Bottom,		440,
			ZWindow_Name, 		"ButtonDemo V0.5, 26.Nov.1996",
			ZWindow_View,	 	new ZView
			(
				ZView_Name,		"Zonic View",
				ZView_Contents,	VGroupObject
				(
					ZGroup_Frame, 	ZGroup_Frame_Root,
					ZGroup_Colums,	2,
					Child, VGroupObject
					(
						Child, HGroupObject
						(	
							ZGroup_Frame, ZGroup_Frame_Group,
							Space,
							Child, ZLabelObject
							(
								ZLabel_Label, "Zonic Layout engine V0.21",
								End
							),
							Space,
							End
						),
						Space,
						Child,  ZSeparatorObject
						(
							End
						),
						Child,	HGroupObject
						(
							Child,	ZButtonObject
							(
								ZButton_Label,	"Zonic",
								End
							),
							Child,	ZButtonObject
							(
								ZButton_Label,	"automagically",
								End
							),
							Child,	ZButtonObject
							(
								ZButton_Label,	"recognises",
								End
							),
							End
						),
						Child,	HGroupObject
						(
							Child,	ZButtonObject
							(
								ZButton_Label,	"biggest and smallest",
								End
							),
							Child,	ZButtonObject
							(
								ZButton_Label,	"objects",
								End
							),
							End
						),
						Child,	HGroupObject
						(
							Child,	ZButtonObject
							(
								ZButton_Label,	"and",
								End
							),
							Child,	ZButtonObject
							(
								ZButton_Label,	"sets",
								End
							),
							End
						),
						Child,	HGroupObject
						(
							Child,	ZButtonObject
							(
								ZButton_Label,	"right minimum sizes",
								End
							),
							End
						),
						Child,  HGroupObject
						(
							Space,
							Child,	VGroupObject
							(
								ZGroup_Align, ZGroup_Align_Left,
								Child, ZCheckBoxObject
								(
									ZCheckBox_Label, "Checkboxes",	
									End
								),
								Child, ZCheckBoxObject
								(
									ZCheckBox_Label, "will become",
									End
								),
								Child, ZCheckBoxObject
								(
									ZCheckBox_Label, "much better",
									End
								),
								End
							),
							Space,
							End
						),
						Child,  ZSeparatorObject
						(
							End
						),
						Space,
						End
					),
					Child, ZScrollBarObject
					(
						ZGroup_Type, ZGroup_Type_Vertical,
						End
					),
					Child, ZScrollBarObject
					(
						ZGroup_Type, ZGroup_Type_Horizontal,
						End
					),
					Space,
					End
				),
				End
			),
			End
		);			
		win->Show();

	};
};

int main()
{
	ZTest *my_app=new ZTest();
	my_app->Run();
	delete my_app;	
	return 0;
}
